CoffeePi Coffee machine control for Raspberry Pi

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Functions
timer.h File Reference

Go to the source code of this file.

## Data Structures
class | timer
| Timer Class This class allows the creation of multiple timers that are based by a divider on a single system timer. More...

## Macros
#define | SIG SIGRTMIN
#define | errExit(msg) do { perror(msg); exit(EXIT_FAILURE); } while (0)
#define | CLOCKID CLOCK_REALTIME

## Functions
void | initTimers (void)
| inits the system timer based on signals More...
void | stopTimers (void)
| Stops all existing timers. More...
void * | nullThread (void *threadid)
| This is a dummy thread. More...

## Macro Definition Documentation

#define CLOCKID CLOCK_REALTIME

#define errExit | ( |  | msg | ) | do { perror(msg); exit(EXIT_FAILURE); } while (0)

#define SIG SIGRTMIN

## Function Documentation

void initTimers | ( | void |  | ) |

inits the system timer based on signals

void* nullThread | ( | void * | threadid | ) |

This is a dummy thread.

Parameters

  *threadid | Thread ID

void stopTimers | ( | void |  | ) |

Stops all existing timers.